Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.node
Interface IUserLayoutChannelDescription

All Superinterfaces:
  IUserLayoutNodeDescription

All Known Subinterfaces:
  IALChannelDescription

All Known Implementing Classes:
  ALChannelDescription, UserLayoutChannelDescription

    public interface IUserLayoutChannelDescription

extends IUserLayoutNodeDescription

An interface managing information contained in a user layout channel node.

Version:
  1.0
Author:
  Peter Kharchenko

Field Summary

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Method Summary
`boolean` | `canOverrideParameter(java.lang.String parameterName)` Determine if a given parameter can be overriden by the user.
`void` | `clearParameters()` Clears all of the channel parameters.
`boolean` | `containsParameter(java.lang.String parameterName)` Determines if a certain parameter name is present.
`java.lang.String` | `getChannelPublishId()` Get the value of channelPublishId for this channel.
`java.lang.String` | `getChannelSubscribeId()` Get the value of channelSubscribeId.
`java.lang.String` | `getChannelTypeId()` Get the value of channelTypeId.
`java.lang.String` | `getClassName()` Get the value of className implementing this channel.
`java.lang.String` | `getDescription()` Get the value of description.
`java.lang.String` | `getFunctionalName()` Get the value of functionalName.
`java.util.Map` | `getParameterMap()` Returns an entire mapping of parameters.
`java.util.Enumeration` | `getParameterNames()` Obtain a set of channel parameter names.
`boolean` | `getParameterOverrideValue(java.lang.String parameterName)` Obtain a channel parameter override value.
`java.lang.String` | `getParameterValue(java.lang.String parameterName)` Obtain a channel parameter value.
`java.util.Collection` | `getParameterValues()` Obtain values of all existing channel parameters.
`long` | `getTimeout()` Get the value of channel timeout in milliseconds.
`java.lang.String` | `getTitle()` Get the value of title.
`org.w3c.dom.Element` | `getXML(org.w3c.dom.Document root)` Creates a `org.w3c.dom.Element` representation of the current channel.
`boolean` | `hasAbout()` Determine if the channel supports "about" action.
`boolean` | `hasHelp()` Determine if the channel supports "help" action.
`boolean` | `hasParameters()` Determine if the channel has any parameters.
`boolean` | `isEditable()` Determine if the channel is editable.
`boolean` | `isPortlet()` Return true if the described channel is a JSR-168 portlet, false otherwise.
`boolean` | `isSecure()` Get the value of secure.
`int` | `numberOfParameters()` Determines the number of existing channel parameters.
`java.lang.String` | `remove(java.lang.String parameterName)` Remove a channel parameter.
`void` | `setChannelPublishId(java.lang.String v)` Set the value of channelPublishId for this channel.
`void` | `setChannelSubscribeId(java.lang.String v)` Set the value of channelSubscribeId.
`void` | `setChannelTypeId(java.lang.String v)` Set the value of channelTypeId.
`void` | `setClassName(java.lang.String v)` Set the value of className implementing this channel.
`void` | `setDescription(java.lang.String v)` Set the value of description.
`void` | `setEditable(boolean v)` Specify whether the channel is editable.
`void` | `setFunctionalName(java.lang.String v)` Set the value of functionalName.
`void` | `setHasAbout(boolean v)` Specify whether the channel supports "about" action.
`void` | `setHasHelp(boolean v)` Specify whether the channel supports "help" action.
`void` | `setIsSecure(boolean v)` Set the value of secure.
`void` | `setParameterOverride(java.lang.String parameterName, boolean canOverride)` Set parameter override flag.
`java.lang.String` | `setParameterValue(java.lang.String parameterName, java.lang.String parameterValue)` Set a channel parameter value.
`void` | `setTimeout(long v)` Set the value of channel timeout in milliseconds.
`void` | `setTitle(java.lang.String v)` Set the value of title.

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Method Detail

### hasAbout

    boolean hasAbout()

  Determine if the channel supports "about" action.

  Returns:
    value of hasAbout.

### setHasAbout

    void setHasAbout(boolean v)

  Specify whether the channel supports "about" action.

  Parameters:
    `v` - Value to assign to hasAbout.

### hasHelp

    boolean hasHelp()

  Determine if the channel supports "help" action.

  Returns:
    value of hasHelp.

### setHasHelp

    void setHasHelp(boolean v)

  Specify whether the channel supports "help" action.

  Parameters:
    `v` - Value to assign to hasHelp.

### isEditable

    boolean isEditable()

  Determine if the channel is editable.

  Returns:
    value of editable.

### setEditable

    void setEditable(boolean v)

  Specify whether the channel is editable.

  Parameters:
    `v` - Value to assign to editable.

### getTimeout

    long getTimeout()

  Get the value of channel timeout in milliseconds.

  Returns:
    value of timeout.

### setTimeout

    void setTimeout(long v)

  Set the value of channel timeout in milliseconds.

  Parameters:
    `v` - Value to assign to timeout.

### getFunctionalName

    java.lang.String getFunctionalName()

  Get the value of functionalName.

  Returns:
    value of functionalName.

### setFunctionalName

    void setFunctionalName(java.lang.String v)

  Set the value of functionalName.

  Parameters:
    `v` - Value to assign to functionalName.

### getChannelSubscribeId

    java.lang.String getChannelSubscribeId()

  Get the value of channelSubscribeId.

  Returns:
    value of channelSubscribeId.

### setChannelSubscribeId

    void setChannelSubscribeId(java.lang.String v)

  Set the value of channelSubscribeId.

  Parameters:
    `v` - Value to assign to channelSubscribeId.

### getChannelTypeId

    java.lang.String getChannelTypeId()

  Get the value of channelTypeId.

  Returns:
    value of channelTypeId.

### setChannelTypeId

    void setChannelTypeId(java.lang.String v)

  Set the value of channelTypeId.

  Parameters:
    `v` - Value to assign to channelTypeId.

### getChannelPublishId

    java.lang.String getChannelPublishId()

  Get the value of channelPublishId for this channel.

  Returns:
    value of channelPublishId.

### setChannelPublishId

    void setChannelPublishId(java.lang.String v)

  Set the value of channelPublishId for this channel.

  Parameters:
    `v` - Value to assign to channelPublishId.

### getClassName

    java.lang.String getClassName()

  Get the value of className implementing this channel.

  Returns:
    value of className.

### setClassName

    void setClassName(java.lang.String v)

  Set the value of className implementing this channel.

  Parameters:
    `v` - Value to assign to className.

### getTitle

    java.lang.String getTitle()

  Get the value of title.

  Returns:
    value of title.

### setTitle

    void setTitle(java.lang.String v)

  Set the value of title.

  Parameters:
    `v` - Value to assign to title.

### getDescription

    java.lang.String getDescription()

  Get the value of description.

  Returns:
    value of description.

### setDescription

    void setDescription(java.lang.String v)

  Set the value of description.

  Parameters:
    `v` - Value to assign to description.

### isSecure

    boolean isSecure()

  Get the value of secure.

  Returns:
    value of secure.

### setIsSecure

    void setIsSecure(boolean v)

  Set the value of secure.

  Parameters:
    `v` - Value to assign to secure.

### isPortlet

    boolean isPortlet()

  Return true if the described channel is a JSR-168 portlet, false otherwise.

  Returns:
    true if the described channel is a JSR-168 portlet, false otherwise

### setParameterValue

    java.lang.String setParameterValue(java.lang.String parameterName,
                                       java.lang.String parameterValue)

  Set a channel parameter value.

  Parameters:
    `parameterValue` - a `String` value
    `parameterName` - a `String` value
  Returns:
    a `String` value that was set.

### getParameterValue

    java.lang.String getParameterValue(java.lang.String parameterName)

  Obtain a channel parameter value.

  Parameters:
    `parameterName` - a `String` value
  Returns:
    a `String` value

### getParameterOverrideValue

    boolean getParameterOverrideValue(java.lang.String parameterName)

  Obtain a channel parameter override value.

  Parameters:
    `parameterName` - a `String` value
  Returns:
    a `boolean` value

### getParameterValues

    java.util.Collection getParameterValues()

  Obtain values of all existing channel parameters.

  Returns:
    a `Collection` of `String` parameter values.

### numberOfParameters

    int numberOfParameters()

  Determines the number of existing channel parameters.

  Returns:
    an `int` value

### clearParameters

    void clearParameters()

  Clears all of the channel parameters.

### canOverrideParameter

    boolean canOverrideParameter(java.lang.String parameterName)

  Determine if a given parameter can be overriden by the user. (defaults to true)

  Parameters:
    `parameterName` - a `String` value
  Returns:
    a `boolean` value

### setParameterOverride

    void setParameterOverride(java.lang.String parameterName,
                              boolean canOverride)

  Set parameter override flag.

  Parameters:
    `parameterName` - a `String` value
    `canOverride` - a `boolean` flag.

### remove

    java.lang.String remove(java.lang.String parameterName)

  Remove a channel parameter.

  Parameters:
    `parameterName` - a `String` parameter name.
  Returns:
    an old parameter value.

### getParameterNames

    java.util.Enumeration getParameterNames()

  Obtain a set of channel parameter names.

  Returns:
    a `Set` of `String` parameter names.

### getParameterMap

    java.util.Map getParameterMap()

  Returns an entire mapping of parameters.

  Returns:
    a `Map` of parameter names on parameter values.

### hasParameters

    boolean hasParameters()

  Determine if the channel has any parameters.

  Returns:
    a `boolean` value

### containsParameter

    boolean containsParameter(java.lang.String parameterName)

  Determines if a certain parameter name is present.

  Parameters:
    `parameterName` - a `String` parameter name.
  Returns:
    a `boolean` value

### getXML

    org.w3c.dom.Element getXML(org.w3c.dom.Document root)

  Creates a `org.w3c.dom.Element` representation of the current channel.

  Specified by:
    `getXML` in interface `IUserLayoutNodeDescription`
  Parameters:
    `root` - a `Document` for which the `Element` should be created.
  Returns:
    a `Node` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD